Download it now!
Bug 88713 - Cycling through Navigator reminders is done in the wrong order
Summary: Cycling through Navigator reminders is done in the wrong order
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2015-01-22 16:32 UTC by Juang Dse
Modified: 2020-01-13 10:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juang Dse 2015-01-22 16:32:50 UTC
1. Open a new writer document, and type '12345678'
2. Move the cursor after '1' and set a reminder.
3. Repeat step 2 for '2' to '8'.
4. Now cycle through the reminders (Navigator -> Next Reminder).

Expected result: cycling through 4 5 6 7 8.
Actual result: cycling through 1 3 5 7 8.
Comment 1 Buovjaga 2015-01-29 19:00:09 UTC
Exact repro on Win.
On Linux, 3.3.0, it cycles 1, 5, 6, 7, 8.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2016-02-21 08:37:11 UTC Comment hidden (obsolete)
Comment 3 Juang Dse 2016-03-14 19:41:33 UTC
bug is still there.

I am using LO 5.1.0.3 / Linux.

With LO 3.3, the reminder cycles through 1 5 6 7 8.
Comment 4 QA Administrators 2017-05-22 13:19:19 UTC Comment hidden (obsolete)
Comment 5 Juang Dse 2017-05-22 17:53:48 UTC
bug is still there.

I am using LO 5.3.3 / Linux.
Comment 6 QA Administrators 2018-05-23 02:36:59 UTC Comment hidden (obsolete)
Comment 7 Juang Dse 2018-05-23 07:15:39 UTC
bug still there

Version: 6.0.4.2
Build ID: 6.0.4-1
CPU threads: 4; OS: Linux 4.16; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 8 QA Administrators 2019-05-24 02:58:21 UTC Comment hidden (obsolete)
Comment 9 Juang Dse 2019-05-24 07:45:01 UTC
bug still there.

Version: 6.2.3.2
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); UI-Language: en-US
Comment 10 Buovjaga 2019-05-24 09:16:09 UTC
Help for Navigator, including for setting reminders:
https://helponline.libreoffice.org/6.3/en-US/text/swriter/01/02110000.html

Before you can cycle through the reminders, you have to click the Navigation button (with a downward-pointing triangle) and select Reminder in the small dock that opens.

Still repro with master.

Arch Linux 64-bit
Version: 6.3.0.0.alpha1+
Build ID: b004b7f3c1a28ebab1823bdbe38660b6c44483b1
CPU threads: 8; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 22 May 2019
Comment 11 Jim Raykowski 2020-01-06 08:29:50 UTC
Here is a patch that corrects navigation of reminders to follow the order of the last 5 reminders set:
https://gerrit.libreoffice.org/c/core/+/86256
Comment 12 Buovjaga 2020-01-07 12:44:13 UTC
(In reply to Jim Raykowski from comment #11)
> Here is a patch that corrects navigation of reminders to follow the order of
> the last 5 reminders set:
> https://gerrit.libreoffice.org/c/core/+/86256

Built with the fix and can confirm it works.

Arch Linux 64-bit
Version: 6.5.0.0.alpha0+
Build ID: a7afbbb86d4bb107dfbb24604c46ed9352bcb425
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 7 January 2020
Comment 13 Commit Notification 2020-01-10 08:46:32 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0663d86a84199d1f5f303cf300cd64403302dbe5

tdf#88713 Fix navigating navigator reminders

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Juang Dse 2020-01-13 10:20:17 UTC
works for me now. Thanks.